export type Vec3 = [number, number, number];
export type Vec2 = [number, number];
export type Quaternion = [number, number, number, number];
export type Rotation = Vec3;
export type Angles = Vec3;
export default class Util {
    static fromAngles([l, p, g]: Angles): Quaternion;
    static toAngles([a, b, c, d]: Quaternion): number[];
    static interpolateAngles(a: [number, number, number], b: [number, number, number]): (t: number) => number[];
    static interpolateLinear([a1, b1, c1, d1]: Quaternion, [a2, b2, c2, d2]: Quaternion): (t: number) => Quaternion;
    static interpolate([a1, b1, c1, d1]: Quaternion, [a2, b2, c2, d2]: Quaternion): (t: number) => Quaternion;
}
